Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.parser
Interface EntityStates

All Known Implementing Classes:
  MimeTokenStream

    public interface EntityStates

Enumeration of states an entity is expected to go through in the process of the MIME stream parsing.

Field Summary
`static int` | `T_BODY` This token indicates, that an atomic entity is being parsed.
`static int` | `T_END_BODYPART` This token indicates, that the MIME stream is currently at the end of a body part.
`static int` | `T_END_HEADER` This token indicates, that part headers have now been parsed.
`static int` | `T_END_MESSAGE` This token indicates, that the MIME stream is currently at the end of a message.
`static int` | `T_END_MULTIPART` This token indicates, that a multipart body has been parsed.
`static int` | `T_END_OF_STREAM` This token indicates, that the MIME stream has been completely and successfully parsed, and no more data is available.
`static int` | `T_EPILOGUE` This token indicates, that a multiparts epilogue is being parsed.
`static int` | `T_FIELD` This token indicates, that a message parts field has now been parsed.
`static int` | `T_PREAMBLE` This token indicates, that a multiparts preamble is being parsed.
`static int` | `T_RAW_ENTITY` This token indicates, that a raw entity is currently being processed.
`static int` | `T_START_BODYPART` This token indicates, that the MIME stream is currently at the beginning of a body part.
`static int` | `T_START_HEADER` This token indicates, that a message parts headers are now being parsed.
`static int` | `T_START_MESSAGE` This token indicates, that the MIME stream is currently at the beginning of a message.
`static int` | `T_START_MULTIPART` This token indicates, that a multipart body is being parsed.

Field Detail

### T_END_OF_STREAM

    static final int T_END_OF_STREAM

  This token indicates, that the MIME stream has been completely and successfully parsed, and no more data is available.

  See Also:
    Constant Field Values

### T_START_MESSAGE

    static final int T_START_MESSAGE

  This token indicates, that the MIME stream is currently at the beginning of a message.

  See Also:
    Constant Field Values

### T_END_MESSAGE

    static final int T_END_MESSAGE

  This token indicates, that the MIME stream is currently at the end of a message.

  See Also:
    Constant Field Values

### T_RAW_ENTITY

    static final int T_RAW_ENTITY

  This token indicates, that a raw entity is currently being processed.

  See Also:
    Constant Field Values

### T_START_HEADER

    static final int T_START_HEADER

  This token indicates, that a message parts headers are now being parsed.

  See Also:
    Constant Field Values

### T_FIELD

    static final int T_FIELD

  This token indicates, that a message parts field has now been parsed.

  See Also:
    Constant Field Values

### T_END_HEADER

    static final int T_END_HEADER

  This token indicates, that part headers have now been parsed.

  See Also:
    Constant Field Values

### T_START_MULTIPART

    static final int T_START_MULTIPART

  This token indicates, that a multipart body is being parsed.

  See Also:
    Constant Field Values

### T_END_MULTIPART

    static final int T_END_MULTIPART

  This token indicates, that a multipart body has been parsed.

  See Also:
    Constant Field Values

### T_PREAMBLE

    static final int T_PREAMBLE

  This token indicates, that a multiparts preamble is being parsed.

  See Also:
    Constant Field Values

### T_EPILOGUE

    static final int T_EPILOGUE

  This token indicates, that a multiparts epilogue is being parsed.

  See Also:
    Constant Field Values

### T_START_BODYPART

    static final int T_START_BODYPART

  This token indicates, that the MIME stream is currently at the beginning of a body part.

  See Also:
    Constant Field Values

### T_END_BODYPART

    static final int T_END_BODYPART

  This token indicates, that the MIME stream is currently at the end of a body part.

  See Also:
    Constant Field Values

### T_BODY

    static final int T_BODY

  This token indicates, that an atomic entity is being parsed.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.